/*
 Navicat Premium Data Transfer

 Source Server         : 3307
 Source Server Type    : MySQL
 Source Server Version : 80019 (8.0.19)
 Source Host           : 192.168.0.23:3307
 Source Schema         : pso2server

 Target Server Type    : MySQL
 Target Server Version : 80019 (8.0.19)
 File Encoding         : 65001

 Date: 12/12/2024 22:36:55
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for accountnetinterfaces
-- ----------------------------
DROP TABLE IF EXISTS `accountnetinterfaces`;
CREATE TABLE `accountnetinterfaces`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `AccountID` int NULL DEFAULT NULL,
  `Username` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `State` int NULL DEFAULT NULL,
  `Mac` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `AccountID`(`AccountID` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1605 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for accounts
-- ----------------------------
DROP TABLE IF EXISTS `accounts`;
CREATE TABLE `accounts`  (
  `AccountID` int NOT NULL AUTO_INCREMENT,
  `Username` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `Password` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `Nickname` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `SettingsINI` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `TextLang` int NOT NULL DEFAULT 0,
  `VoiceLang` int NOT NULL DEFAULT 0,
  `TextLang2` int NOT NULL DEFAULT 0,
  `LangLang` int NOT NULL DEFAULT 0,
  `LanguageCode` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`AccountID`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10000009 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for accountsysteminfoes
-- ----------------------------
DROP TABLE IF EXISTS `accountsysteminfoes`;
CREATE TABLE `accountsysteminfoes`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `AccountID` int NULL DEFAULT NULL,
  `Username` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `CpuInfo` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `VideoInfo` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `Vram` bigint NULL DEFAULT NULL,
  `TotalRam` bigint NULL DEFAULT NULL,
  `Unk1` int NULL DEFAULT NULL,
  `Unk2` int NULL DEFAULT NULL,
  `WindowsVersion` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `WindowSize` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `AudioDevices` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `Unk4` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `VideoDriver` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `TotalDiskSpace` int NULL DEFAULT NULL,
  `FreeDiskSpace` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `AccountID`(`AccountID` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 475 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for characters
-- ----------------------------
DROP TABLE IF EXISTS `characters`;
CREATE TABLE `characters`  (
  `CharacterID` int NOT NULL,
  `AccountID` int NOT NULL,
  `Unk1` int NOT NULL,
  `VoiceType` int NOT NULL,
  `Unk2` tinyint NOT NULL,
  `VoicePitch` tinyint NOT NULL,
  `Name` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `LooksBinary` longblob NOT NULL,
  `Unk3` int NOT NULL,
  `JobsBinary` longblob NOT NULL,
  `unk4` longblob NOT NULL,
  `EquipedItemsBinary` longblob NOT NULL,
  `fulldata` blob NOT NULL,
  PRIMARY KEY (`CharacterID`, `AccountID`) USING BTREE,
  INDEX `characters_ibfk_1`(`AccountID` ASC, `CharacterID` ASC) USING BTREE,
  CONSTRAINT `characters_ibfk_1` FOREIGN KEY (`AccountID`) REFERENCES `accounts` (`AccountID`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for gameobjects
-- ----------------------------
DROP TABLE IF EXISTS `gameobjects`;
CREATE TABLE `gameobjects`  (
  `ObjectID` int NOT NULL,
  `ZoneName` varchar(225) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `ObjectName` varchar(225) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `ObjectFlags` blob NOT NULL,
  `RotX` float NOT NULL,
  `RotY` float NOT NULL,
  `RotZ` float NOT NULL,
  `RotW` float NOT NULL,
  `PosX` float NOT NULL,
  `PosY` float NOT NULL,
  `PosZ` float NOT NULL,
  PRIMARY KEY (`ObjectID`, `ZoneName`) USING BTREE
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for npcs
-- ----------------------------
DROP TABLE IF EXISTS `npcs`;
CREATE TABLE `npcs`  (
  `EntityID` int NOT NULL,
  `ZoneName` varchar(225) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `NPCName` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `RotX` float NOT NULL,
  `RotY` float NOT NULL,
  `RotZ` float NOT NULL,
  `RotW` float NOT NULL,
  `PosX` float NOT NULL,
  `PosY` float NOT NULL,
  `PosZ` float NOT NULL,
  `is_active` int UNSIGNED NOT NULL DEFAULT 1,
  PRIMARY KEY (`EntityID`, `ZoneName`) USING BTREE
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for serverinfoes
-- ----------------------------
DROP TABLE IF EXISTS `serverinfoes`;
CREATE TABLE `serverinfoes`  (
  `info` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `setting` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  PRIMARY KEY (`info`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for teleports
-- ----------------------------
DROP TABLE IF EXISTS `teleports`;
CREATE TABLE `teleports`  (
  `ZoneName` varchar(225) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `ObjectID` int NOT NULL,
  `RotX` float NOT NULL,
  `RotY` float NOT NULL,
  `RotZ` float NOT NULL,
  `RotW` float NOT NULL,
  `PosX` float NOT NULL,
  `PosY` float NOT NULL,
  `PosZ` float NOT NULL,
  PRIMARY KEY (`ZoneName`, `ObjectID`) USING BTREE
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;
